org.jboss.resteasy.util

## Class TypeConverter

- java.lang.Object
- - org.jboss.resteasy.util.TypeConverter

-     public final class TypeConverter
      extends Object

  A utility class that can convert a String value as a typed object.
  Version:
    $Revision: $
  Author:

    - - ### Method Summary

        Methods
        Modifier and Type | Method and Description
        --- | ---
        `static Boolean` | `getBooleanValue(String source)` Returns a Boolean value from a String.
        `static <T> T` | `getType(Class<T> targetType, String source)` A generic method that returns the `String` as the specified Java type.
        `static <T> T` | `getTypeViaValueOfMethod(String source, Class<T> targetType)`
        `static boolean` | `isConvertable(Class<?> targetType)` Tests if the class can safely be converted from a String to the specified type.

        - ### Methods inherited from class java.lang.Object

          `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public static <T> T getType(Class<T> targetType,
                      String source)

      A generic method that returns the `String` as the specified Java type.
      Type Parameters:
        `T` - the type to return
      Parameters:
        `source` - the string value to convert
        `targetType` -
      Returns:
        the object instance

    - #### isConvertable

          public static boolean isConvertable(Class<?> targetType)

      Tests if the class can safely be converted from a String to the specified type.
      Parameters:
        `targetType` - the type to convert to
      Returns:
        true if the class possesses either a "valueOf()" method or a constructor with a String parameter.

    - #### getBooleanValue

          public static Boolean getBooleanValue(String source)

      Returns a Boolean value from a String. Unlike `Boolean.#valueOf(String)`, this method takes more String options. The following String values will return true:

      - Yes
      - Y
      - T
      - 1

      While the following values will return false:

      - No
      - N
      - F
      - 0
      Parameters:
        `source` -
      Returns:

    - #### getTypeViaValueOfMethod

          public static <T> T getTypeViaValueOfMethod(String source,
                                      Class<T> targetType)
                                           throws NoSuchMethodException

      Type Parameters:
        `T` -
      Parameters:
        `source` -
        `targetType` -
      Returns:
      Throws:
        `NoSuchMethodException`

Copyright © 2014. All Rights Reserved.